Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class ExtendedVerifier

A specialized Groovy AST visitor meant to perform additional verifications upon the current AST. Currently it does checks on annotated nodes and annotations itself. Current limitations: - annotations on local variables are not supported

author:
  Alex Popescu

Field Summary
`String` | `JVM_ERROR_MESSAGE`
`ClassNode` | `currentClass`
`SourceUnit` | `source`

Constructor Summary
`ExtendedVerifier(SourceUnit sourceUnit)`

Method Summary
`void` | `addError(String msg, ASTNode expr)`
`boolean` | `isAnnotationCompatible()` Check if the current runtime allows Annotation usage.
`AnnotationNode` | `visitAnnotation(AnnotationNode node)` Resolve metadata and details of the annotation.
`void` | `visitAnnotations(AnnotatedNode node, int target)`
`void` | `visitClass(ClassNode node)`
`void` | `visitConstructor(ConstructorNode node)`
`void` | `visitField(FieldNode node)`
`void` | `visitGenericType(GenericsType genericsType)`
`void` | `visitMethod(MethodNode node)`
`void` | `visitProperty(PropertyNode node)`

Constructor Detail

### ExtendedVerifier

    public ExtendedVerifier(SourceUnit sourceUnit)

Method Detail

### addError

    void addError(String msg, ASTNode expr)

### isAnnotationCompatible

    boolean isAnnotationCompatible()

  Check if the current runtime allows Annotation usage.

### visitAnnotation

    AnnotationNode visitAnnotation(AnnotationNode node)

  Resolve metadata and details of the annotation.

### visitAnnotations

    void visitAnnotations(AnnotatedNode node, int target)

### visitClass

    public void visitClass(ClassNode node)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitField

    public void visitField(FieldNode node)

### visitGenericType

    public void visitGenericType(GenericsType genericsType)

### visitMethod

    public void visitMethod(MethodNode node)

### visitProperty

    public void visitProperty(PropertyNode node)